package com.sooka.system.gas.sc_gas_meter_infor.mapper;

import com.sooka.system.gas.sc_gas_meter_infor.domain.TGuijiSCGasMeterInfor;

import java.util.List;

/**
 * 思凯收费系统-表具信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiSCGasMeterInforMapper
{
    /**
     * 查询思凯收费系统-表具信息
     *
     * @param id 思凯收费系统-表具信息ID
     * @return 思凯收费系统-表具信息
     */
    public TGuijiSCGasMeterInfor selectById(String id);

    /**
     * 查询思凯收费系统-表具信息列表
     *
     * @param param 思凯收费系统-表具信息
     * @return 思凯收费系统-表具信息集合
     */
    public List<TGuijiSCGasMeterInfor> selectList(TGuijiSCGasMeterInfor param);

    /**
     * 新增思凯收费系统-表具信息
     *
     * @param param 思凯收费系统-表具信息
     * @return 结果
     */
    public int insert(TGuijiSCGasMeterInfor param);

    /**
     * 修改思凯收费系统-表具信息
     *
     * @param param 思凯收费系统-表具信息
     * @return 结果
     */
    public int update(TGuijiSCGasMeterInfor param);

    /**
     * 删除思凯收费系统-表具信息
     *
     * @param id 思凯收费系统-表具信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除思凯收费系统-表具信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
